Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.cms.impl.jcr.command
Class ContentCreateNewVersionCommand

    java.lang.Object
      org.jboss.portal.common.invocation.Invocation
          org.jboss.portal.cms.Command
              org.jboss.portal.cms.impl.jcr.JCRCommand
                  org.jboss.portal.cms.impl.jcr.command.ContentCreateNewVersionCommand

All Implemented Interfaces:
  java.io.Serializable

    public class ContentCreateNewVersionCommand

extends JCRCommand

Creates a new version of the content and labels it "LIVE".

Author:
  Roy Russo, Thomas Heute, Sohil Shah - sohil.shah@jboss.com
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.portal.cms.impl.jcr.JCRCommand
`context, JCR_COMMANDFATORY_ATTRIBUTE, JCR_LOCALE_ATTRIBUTE, JCR_SESSION_ATTRIBUTE`

Fields inherited from class org.jboss.portal.common.invocation.Invocation
`EMPTY_STACK`

Constructor Summary
`ContentCreateNewVersionCommand(Content content, boolean bMakeLive)`
`ContentCreateNewVersionCommand(java.util.List contents, boolean bMakeLive)`

Method Summary
`java.lang.Object` | `execute()`

Methods inherited from class org.jboss.portal.cms.impl.jcr.JCRCommand
`getContext, setContext`

Methods inherited from class org.jboss.portal.common.invocation.Invocation
`getAttribute, getHandler, invoke, invokeNext, removeAttribute, setAttribute, setHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentCreateNewVersionCommand

    public ContentCreateNewVersionCommand(Content content,
                                          boolean bMakeLive)

Parameters:
  `content` -
  `bMakeLive` - Whether this updated version should be made "LIVE"

### ContentCreateNewVersionCommand

    public ContentCreateNewVersionCommand(java.util.List contents,
                                          boolean bMakeLive)

Method Detail

### execute

    public java.lang.Object execute()

  Specified by:
    `execute` in class `JCRCommand`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.